{
    "version": "0.0.1",
    "name": "stub-gui",
    "description": "Stub - base application",
    "devDependencies": {
        "arm-gulp-builders": "3.0.0-13"
    },
    "dependencies": {
        "@amcharts/amcharts5": "5.4.11",
        "@redux-devtools/extension": "3.3.0",
        "arm-common": "1.9.0",
        "arm-core-layouts": "1.5.0",
        "arm-core-querybuilder": "3.12.3",
        "arm-file-uploader": "3.3.3",
        "arm-gui": "4.17.2",
        "arm-gui-grid-wj": "1.15.0",
        "arm-router": "1.10.0",
        "arm-splitter": "0.0.4",
        "arm-themes": "2.11.0",
        "arm-visual-component": "3.2.0",
        "immutability-helper": "3.1.1",
        "react": "18.3.1",
        "react-dom": "18.3.1",
        "react-redux": "9.1.2",
        "react-router-dom": "5.3.4",
        "redux": "5.0.1",
        "redux-thunk": "3.1.0"
    },
    "scripts": {
        "watch": "npm i && gulp watch",
        "build": "npm i && gulp build --env=production",
        "build-prod": "npm i && gulp build --env=production --minified",
        "watch-m": "npm i && gulp watch --max-old-space-size=4096",
        "build-m": "npm i && gulp build --env=production --max-old-space-size=4096",
        "build-prod-m": "npm i && gulp build --env=production --minified --max-old-space-size=4096"
    }
}
